<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['cadena']) $cadena=$_GET['cadena']; else $cadena=$_POST['cadena'];

//SGABusqCliProp#EMPRESA#TEXTOINTRODUCIDO

$peticion='SGABusqCliProp#'.$_SESSION['empresa'].'#'.$cadena;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if(!$resultado[0]['Error']) {
	
	?>
	<table class="tablaFormateada" style="width:1000px">
		<tr>
			<th>Código</th>
			<th>Nombre Fiscal</th>
		</tr>
		<?php foreach($resultado as $cliente) { ?>
        	<tr style="height:70px" class="clicable lineaBusqueda" Codigo="<?php echo $cliente['Codigo']; ?>" Nombre="<?php echo $cliente['Nombre']; ?>">
                <td><?php echo $cliente['Codigo']; ?></td>
                <td><?php echo $cliente['Nombre']; ?></td>
            </tr>
		<?php } ?>
	</table>

<script>
		
	$(document).ready(function() {
	
		$('.lineaBusqueda').on("click",function(){
			
			
			//alert('Codigo cliente: '+$(this).attr('Codigo'));
			
			$('#formularioBusquedaCliente').hide();
			
			$('#nombreCliente').html( $(this).attr('Nombre') );
			$('#nombreCliente').show();
			$('#codigoCliente').val( $(this).attr('Codigo') );
			$('#formularioCodigoCliente').show();
			
			$('#popupBusquedaCliente').hide();
			
			<?php if($busquedaProductoDefecto=='E' && !$productoPreCargado) { ?>
					$('#formularioEanDun').show();
					$('#eanDun').focus();
			<?php } else if(!$productoPreCargado) { ?>
					$('#formularioBusquedaProducto').show();
					$('#busquedaProducto').focus();
			<?php } ?>
			
			$('#formularioCodigoProducto').show();
			
		
		});
		
	});
		
</script>
	<?php
}
else {
	?>
    <p><img src="<?php echo $rutaHtml; ?>/img/iconos/error.png" width="60" height="60" style="margin-bottom:10px"><br>
    ERROR: No hay ningún resultado con ese criterio de búsqueda.</p>
	<?php
}
?>
<p><input type="submit" name="botonCerrarPopup" id="botonCerrarPopup" value="Cerrar" class="boton"/></p>
<script>
		
	$(document).ready(function() {
	
		$('#botonCerrarPopup').on("click",function(){
			
			$('#detalleBusquedaCliente').html('');
			$('#popupBusquedaCliente').hide();
					
		});
		
	});
		
</script>